Extending Qt Creator Manual | HeaderPathsCache

Extending Qt Creator Manual 4.4.0

# HeaderPathsCache Class

(ProjectExplorer::HeaderPathsCache)

- List of all members, including inherited members

## Public Functions

| HeaderPathsCache()
| HeaderPathsCache(const HeaderPathsCache &other)
QList<HeaderPath> | check(const QStringList &compilerCommand, bool *cacheHit) const
void | insert(const QStringList &compilerCommand, const QList<HeaderPath> &headerPaths)

## Protected Functions

Cache | cache() const

## Member Function Documentation

### HeaderPathsCache::HeaderPathsCache()

Default constructs an instance of HeaderPathsCache.

### HeaderPathsCache::HeaderPathsCache(const HeaderPathsCache &other)

Copy constructor.

### `[protected]` Cache HeaderPathsCache::cache() const

### QList<HeaderPath> HeaderPathsCache::check(const QStringList &compilerCommand, bool *cacheHit) const

### void HeaderPathsCache::insert(const QStringList &compilerCommand, const QList<HeaderPath> &headerPaths)